package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
	"time"
)

type OrgSeason struct {
	models.Model

	LeagueId    string    `json:"leagueId" gorm:"type:bigint(20);comment:org_league表id"`
	DivisionId  string    `json:"divisionId" gorm:"type:bigint(20);comment:org_division表id"`
	SeasonName  string    `json:"seasonName" gorm:"type:varchar(255);comment:赛季名称"`
	TotalRounds string    `json:"totalRounds" gorm:"type:varchar(60);comment:总轮次"`
	StartTime   time.Time `json:"startTime" gorm:"type:date;comment:赛季开始时间"`
	EndTime     time.Time `json:"endTime" gorm:"type:date;comment:赛季结束时间"`
	Status      string    `json:"status" gorm:"type:tinyint(1);comment:赛季开启状态 1 是 0 否"`
	models.ModelTime
	models.ControlBy
}

func (OrgSeason) TableName() string {
	return "org_season"
}

func (e *OrgSeason) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgSeason) GetId() interface{} {
	return e.Id
}
